Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.k8s.clusters.pools.nodes.delete(
instance_id="550e8400-e29b-41d4-a716-446655440000",
project_id=1,
region_id=7,
cluster_name="my-cluster",
pool_name="my-pool",
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.K8S.Clusters.Pools.Nodes.Delete(
context.TODO(),
"550e8400-e29b-41d4-a716-446655440000",
cloud.K8SClusterPoolNodeDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterName: "my-cluster",
PoolName: "my-pool",
},
)
if err != nil {
panic(err.Error())
}
}curl --request DELETE \
--url https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools/{pool_name}/instances/{instance_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools/{pool_name}/instances/{instance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Managed Kubernetes
Delete k8s cluster pool node
After deletion, the node will be automatically recreated to maintain the desired pool size.
DELETE
/
cloud
/
v2
/
k8s
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
pools
/
{pool_name}
/
instances
/
{instance_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cloud.k8s.clusters.pools.nodes.delete(
instance_id="550e8400-e29b-41d4-a716-446655440000",
project_id=1,
region_id=7,
cluster_name="my-cluster",
pool_name="my-pool",
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Cloud.K8S.Clusters.Pools.Nodes.Delete(
context.TODO(),
"550e8400-e29b-41d4-a716-446655440000",
cloud.K8SClusterPoolNodeDeleteParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
ClusterName: "my-cluster",
PoolName: "my-pool",
},
)
if err != nil {
panic(err.Error())
}
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster name
Example:
"my-cluster"
Pool name
Example:
"my-pool"
Instance ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
204
No Content
Was this page helpful?
⌘I